"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.DefaultCartesian = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("./utils");
var components_1 = require("../components/components");
exports["default"] = {
    title: "Surface",
    component: components_1.Surface,
    argTypes: {
        color: {
            type: "string",
            defaultValue: "rgb(48,144,255)"
        },
        shaded: {
            type: "boolean",
            defaultValue: true
        }
    }
};
var Template = function (args) { return (react_1["default"].createElement(utils_1.CustomMathbox, { containerStyle: { height: 450 } },
    react_1["default"].createElement(components_1.Cartesian, { range: [
            [-5, 5],
            [-2, 2],
            [-5, 5],
        ] },
        react_1["default"].createElement(components_1.Grid, { axes: "xz" }),
        react_1["default"].createElement(components_1.Area, { width: 64, height: 64, axes: ["x", "z"], expr: function (emit, x, z, i, j, t) {
                var y = Math.sin(x - t) * Math.cos(z - t);
                emit(x, y, z);
            } }),
        react_1["default"].createElement(components_1.Surface, __assign({}, args))))); };
exports.DefaultCartesian = Template.bind({});
exports.DefaultCartesian.args = {};
//# sourceMappingURL=Surface.stories.js.map