var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { CustomMathbox as Mathbox } from "./utils";
import { Cartesian, Surface, Area, Grid } from "../components/components";
export default {
    title: "Area",
    component: Area,
    argTypes: {
        width: {
            type: "number",
            defaultValue: 18
        },
        height: {
            type: "number",
            defaultValue: 18
        },
        live: {
            type: "boolean",
            defaultValue: true
        }
    }
};
var Template = function (args) { return (React.createElement(Mathbox, { containerStyle: { height: 450 } },
    React.createElement(Cartesian, { range: [
            [-5, 5],
            [-2, 2],
            [-5, 5],
        ] },
        React.createElement(Grid, { axes: "xz" }),
        React.createElement(Area, __assign({ axes: ["x", "z"], expr: function (emit, x, z, i, j, t) {
                var y = Math.sin(x - t) * Math.cos(z - t);
                emit(x, y, z);
            } }, args)),
        React.createElement(Surface, { color: 0x3090ff, shaded: true })))); };
export var DefaultCartesian = Template.bind({});
DefaultCartesian.args = {};
//# sourceMappingURL=Area.stories.js.map