var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { CustomMathbox as Mathbox } from "./utils";
import { Cartesian, Grid, Axis } from "../components/components";
export default {
    title: "Cartesian",
    component: Cartesian,
    argTypes: {
        range: {
            type: "array",
            defaultValue: [
                [-1, 1],
                [-1, 1],
                [-1, 1],
            ]
        },
        scale: {
            type: "array",
            defaultValue: [1, 1, 1]
        }
    }
};
var Template = function (args) { return (React.createElement(Mathbox, { containerStyle: { height: 450 } },
    React.createElement(Cartesian, __assign({}, args),
        React.createElement(Grid, { axes: "xz" }),
        React.createElement(Axis, { width: 4, axis: "x", color: "red" }),
        React.createElement(Axis, { width: 4, axis: "y", color: "green" }),
        React.createElement(Axis, { width: 4, axis: "z", color: "blue" })))); };
export var DefaultCartesian = Template.bind({});
DefaultCartesian.args = {};
//# sourceMappingURL=Cartesian.stories.js.map