var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { CustomMathbox as Mathbox } from "./utils";
import { Grid } from "../components";
export default {
    title: "Grid",
    component: Grid,
    argTypes: {
        color: {
            type: "string",
            defaultValue: "rgb(128, 128, 128)"
        },
        axes: {
            type: "string",
            defaultValue: "xy"
        }
    }
};
var Template = function (args) { return (React.createElement(Mathbox, { containerStyle: { height: 450 } },
    React.createElement(Grid, __assign({}, args)))); };
export var DefaultGrid = Template.bind({});
DefaultGrid.args = {};
export var GridXY = Template.bind({});
GridXY.args = { axes: "xy" };
export var GridYZ = Template.bind({});
GridYZ.args = { axes: "yz" };
export var GridZX = Template.bind({});
GridZX.args = { axes: "zx" };
//# sourceMappingURL=Grid.stories.js.map