"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.DefaultCartesian = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("./utils");
var components_1 = require("../components/components");
exports["default"] = {
    title: "Cartesian",
    component: components_1.Cartesian,
    argTypes: {
        range: {
            type: "array",
            defaultValue: [
                [-1, 1],
                [-1, 1],
                [-1, 1],
            ]
        },
        scale: {
            type: "array",
            defaultValue: [1, 1, 1]
        }
    }
};
var Template = function (args) { return (react_1["default"].createElement(utils_1.CustomMathbox, { containerStyle: { height: 450 } },
    react_1["default"].createElement(components_1.Cartesian, __assign({}, args),
        react_1["default"].createElement(components_1.Grid, { axes: "xz" }),
        react_1["default"].createElement(components_1.Axis, { width: 4, axis: "x", color: "red" }),
        react_1["default"].createElement(components_1.Axis, { width: 4, axis: "y", color: "green" }),
        react_1["default"].createElement(components_1.Axis, { width: 4, axis: "z", color: "blue" })))); };
exports.DefaultCartesian = Template.bind({});
exports.DefaultCartesian.args = {};
//# sourceMappingURL=Cartesian.stories.js.map