"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.GridZX = exports.GridYZ = exports.GridXY = exports.DefaultGrid = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("./utils");
var components_1 = require("../components");
exports["default"] = {
    title: "Grid",
    component: components_1.Grid,
    argTypes: {
        color: {
            type: "string",
            defaultValue: "rgb(128, 128, 128)"
        },
        axes: {
            type: "string",
            defaultValue: "xy"
        }
    }
};
var Template = function (args) { return (react_1["default"].createElement(utils_1.CustomMathbox, { containerStyle: { height: 450 } },
    react_1["default"].createElement(components_1.Grid, __assign({}, args)))); };
exports.DefaultGrid = Template.bind({});
exports.DefaultGrid.args = {};
exports.GridXY = Template.bind({});
exports.GridXY.args = { axes: "xy" };
exports.GridYZ = Template.bind({});
exports.GridYZ.args = { axes: "yz" };
exports.GridZX = Template.bind({});
exports.GridZX.args = { axes: "zx" };
//# sourceMappingURL=Grid.stories.js.map