/// <reference types="react" />
import { MathboxSelection } from "mathbox";
declare const MathboxAPIContext: import("react").Context<MathboxSelection<"axis" | "face" | "grid" | "line" | "point" | "strip" | "surface" | "ticks" | "vector" | "view" | "cartesian" | "cartesian4" | "polar" | "spherical" | "stereographic" | "stereographic4" | "transform" | "transform4" | "vertex" | "fragment" | "layer" | "mask" | "array" | "interval" | "matrix" | "area" | "voxel" | "volume" | "scale" | "latch" | "html" | "dom" | "text" | "format" | "label" | "retext" | "clamp" | "grow" | "join" | "lerp" | "memo" | "readback" | "resample" | "repeat" | "reverse" | "swizzle" | "spread" | "split" | "slice" | "subdivide" | "transpose" | "group" | "inherit" | "root" | "unit" | "shader" | "camera" | "rtt" | "compose" | "clock" | "now" | "move" | "play" | "present" | "reveal" | "slide" | "step"> | null>;
/**
 * Returns Mathbox API Selection object for the nearest enclosing Mathbox node.
 */
declare const useMathbox: () => MathboxSelection<"axis" | "face" | "grid" | "line" | "point" | "strip" | "surface" | "ticks" | "vector" | "view" | "cartesian" | "cartesian4" | "polar" | "spherical" | "stereographic" | "stereographic4" | "transform" | "transform4" | "vertex" | "fragment" | "layer" | "mask" | "array" | "interval" | "matrix" | "area" | "voxel" | "volume" | "scale" | "latch" | "html" | "dom" | "text" | "format" | "label" | "retext" | "clamp" | "grow" | "join" | "lerp" | "memo" | "readback" | "resample" | "repeat" | "reverse" | "swizzle" | "spread" | "split" | "slice" | "subdivide" | "transpose" | "group" | "inherit" | "root" | "unit" | "shader" | "camera" | "rtt" | "compose" | "clock" | "now" | "move" | "play" | "present" | "reveal" | "slide" | "step">;
export default MathboxAPIContext;
export { useMathbox };
