import React from "react";
import { Story, Meta } from "@storybook/react";
declare const _default: Meta<React.ForwardRefExoticComponent<import("mathbox").AreaProps & React.RefAttributes<import("mathbox").MathboxSelection<"area">> & {
    liveProps?: {
        expr?: ((t: number, dt: number) => import("mathbox").AreaEmitter | undefined) | undefined;
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        channels?: ((t: number, dt: number) => import("mathbox").Optional<1 | 3 | 2 | 4>) | undefined;
        items?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        fps?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        hurry?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        limit?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        realtime?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        observe?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        aligned?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        data?: ((t: number, dt: number) => unknown) | undefined;
        bind?: ((t: number, dt: number) => unknown) | undefined;
        live?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        width?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        height?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        history?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        bufferWidth?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        bufferHeight?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        minFilter?: ((t: number, dt: number) => unknown) | undefined;
        magFilter?: ((t: number, dt: number) => unknown) | undefined;
        type?: ((t: number, dt: number) => unknown) | undefined;
        axes?: ((t: number, dt: number) => import("mathbox").Optional<string | import("mathbox").Axes[]>) | undefined;
        rangeX?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
        rangeY?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
        centeredX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        paddingX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        centeredY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        paddingY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
    } | undefined;
}>>;
export default _default;
export declare const DefaultCartesian: Story<import("mathbox").AreaProps & React.RefAttributes<import("mathbox").MathboxSelection<"area">> & {
    liveProps?: {
        expr?: ((t: number, dt: number) => import("mathbox").AreaEmitter | undefined) | undefined;
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        channels?: ((t: number, dt: number) => import("mathbox").Optional<1 | 3 | 2 | 4>) | undefined;
        items?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        fps?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        hurry?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        limit?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        realtime?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        observe?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        aligned?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        data?: ((t: number, dt: number) => unknown) | undefined;
        bind?: ((t: number, dt: number) => unknown) | undefined;
        live?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        width?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        height?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        history?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        bufferWidth?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        bufferHeight?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        minFilter?: ((t: number, dt: number) => unknown) | undefined;
        magFilter?: ((t: number, dt: number) => unknown) | undefined;
        type?: ((t: number, dt: number) => unknown) | undefined;
        axes?: ((t: number, dt: number) => import("mathbox").Optional<string | import("mathbox").Axes[]>) | undefined;
        rangeX?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
        rangeY?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
        centeredX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        paddingX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        centeredY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        paddingY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
    } | undefined;
}>;
