import React from "react";
import { Story, Meta } from "@storybook/react";
declare const _default: Meta<React.ForwardRefExoticComponent<{
    children?: React.ReactNode | React.ReactNode[];
} & import("mathbox").CartesianProps & React.RefAttributes<import("mathbox").MathboxSelection<"cartesian">> & {
    liveProps?: {
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        visible?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        range?: ((t: number, dt: number) => (number | number[] | import("three").Vector2)[] | undefined) | undefined;
        position?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        quaternion?: ((t: number, dt: number) => number | number[] | import("three").Vector4 | import("three").Quaternion | undefined) | undefined;
        rotation?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        scale?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        eulerOrder?: ((t: number, dt: number) => import("mathbox").Optional<string | import("mathbox").Axes[]>) | undefined;
        pass?: ((t: number, dt: number) => unknown) | undefined;
    } | undefined;
}>>;
export default _default;
export declare const DefaultCartesian: Story<{
    children?: React.ReactNode | React.ReactNode[];
} & import("mathbox").CartesianProps & React.RefAttributes<import("mathbox").MathboxSelection<"cartesian">> & {
    liveProps?: {
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        visible?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        range?: ((t: number, dt: number) => (number | number[] | import("three").Vector2)[] | undefined) | undefined;
        position?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        quaternion?: ((t: number, dt: number) => number | number[] | import("three").Vector4 | import("three").Quaternion | undefined) | undefined;
        rotation?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        scale?: ((t: number, dt: number) => number | import("three").Vector3 | number[] | undefined) | undefined;
        eulerOrder?: ((t: number, dt: number) => import("mathbox").Optional<string | import("mathbox").Axes[]>) | undefined;
        pass?: ((t: number, dt: number) => unknown) | undefined;
    } | undefined;
}>;
