import React from "react";
import { CustomMathbox as Mathbox } from "./utils";
import { Cartesian, Play, Interval, Line, Grid } from "../components/components";
export default {
    title: "Play",
    component: Play,
    argTypes: {}
};
var Template = function () { return (React.createElement(Mathbox, { containerStyle: { height: 450 } },
    React.createElement(Cartesian, { range: [
            [-5, 5],
            [-2, 2],
            [-2, 2],
        ] },
        React.createElement(Grid, { axes: "xy" }),
        React.createElement(Interval, { width: 64, channels: 2, expr: function (emit, x, i, t) {
                var y = Math.sin(x - t);
                emit(x, y);
            } }),
        React.createElement(Play, { delay: 1, speed: 1000, script: [{ props: { live: true } }, { props: { live: false } }] }),
        React.createElement(Line, { id: "line", color: 0x3090ff, width: 4 }),
        React.createElement(Play, { target: "#line", delay: 1, pace: 2, script: [
                { props: { opacity: 1 } },
                { props: { opacity: 0.25 } },
                { props: { color: "red" } },
            ] })))); };
export var DefaultCartesian = Template.bind({});
DefaultCartesian.args = {};
//# sourceMappingURL=Play.stories.js.map