var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo, useCallback } from "react";
import { OrbitControls } from "three/examples/jsm/controls/OrbitControls";
import { ContainedMathbox } from "../components";
var storybookDefaultMathboxOptions = {
    plugins: ["core", "controls", "cursor"],
    controls: {
        klass: OrbitControls
    }
};
export var CustomMathbox = function (props) {
    var overrides = props.options, others = __rest(props, ["options"]);
    var options = useMemo(function () { return (__assign(__assign({}, storybookDefaultMathboxOptions), (overrides !== null && overrides !== void 0 ? overrides : {}))); }, [overrides]);
    var setup = useCallback(function (mathbox) {
        if (mathbox === null)
            return;
        mathbox.three.camera.position.set(1, 1, 2);
    }, []);
    return (React.createElement(ContainedMathbox, __assign({ ref: setup, options: options }, others), props.children));
};
//# sourceMappingURL=utils.js.map