import React from "react";
import type { OrbitControls } from "three/examples/jsm/controls/OrbitControls";
type OrbitControlsProps = {
    type: "orbit";
    enablePan?: boolean;
    enableRotate?: boolean;
    enableZoom?: boolean;
    onStart?: (event: {
        type: "end";
        target: OrbitControls;
    }) => void;
    onEnd?: (event: {
        type: "end";
        target: OrbitControls;
    }) => void;
};
type ControlsProps = OrbitControlsProps;
declare const Controls: React.FC<ControlsProps>;
export default Controls;
