import { createContext, useContext } from "react";
var ThreestrapContext = createContext(null);
export default ThreestrapContext;
var useThreestrap = function () {
    var threestrap = useContext(ThreestrapContext);
    if (!threestrap) {
        throw new Error("Threestrap context is not available");
    }
    return threestrap;
};
export { useThreestrap };
//# sourceMappingURL=ThreestrapContext.js.map